<?php
/**
 * @category    Interactiv4
 * @package     Interactiv4_MDirector
 * @copyright   Copyright (c) 2014 Interactiv4. (http://www.interactiv4.com)
 */
class Interactiv4_MDirector_Block_Adminhtml_System_Config_Form_Field_Lastsyncdate extends Mage_Adminhtml_Block_System_Config_Form_Field
{
    protected function _getElementHtml(Varien_Data_Form_Element_Abstract $element)
    {
        if ($element->getValue()) {
            $format = Mage::app()->getLocale()->getDateTimeFormat(Mage_Core_Model_Locale::FORMAT_TYPE_MEDIUM);
            $html = Mage::app()->getLocale()->date($element->getValue(), Varien_Date::DATETIME_INTERNAL_FORMAT)
                ->toString($format);
        } else {
            $html = Mage::helper('i4mdirector')->__('not yet synced');
        }

        return $html;
    }
}
