<?php
/**
 * @category    Interactiv4
 * @package     Interactiv4_MDirector
 * @copyright   Copyright (c) 2014 Interactiv4. (http://www.interactiv4.com)
 */
class Interactiv4_MDirector_Block_Js extends Mage_Core_Block_Template 
{
    /**
     * Initialize Js template
     *
     */
    public function __construct()
    {
        parent::__construct();
        $this->setTemplate('i4mdirector/js.phtml');
    }

    public function getRegExp()
    {
        return Mage::getStoreConfig('i4mdirector/pixel/regexp');
    }

    /**
     * Prevent displaying if the pixel is not available
     *
     * @return string
     */
    protected function _toHtml()
    {
        if (!Mage::helper('i4mdirector')->isPixelEnabled()) {
            return '';
        }
        return parent::_toHtml();
    }
}
