<?php
/**
 * @category    Interactiv4
 * @package     Interactiv4_MDirector
 * @copyright   Copyright (c) 2014 Interactiv4. (http://www.interactiv4.com)
 */
class Interactiv4_MDirector_SaleController extends Mage_Core_Controller_Front_Action
{
    public function notifyAction()
    {
        $orderId = $this->getRequest()->getParam('order');
        $order = Mage::getModel('sales/order')->load($orderId);
        if ($order->getId()) {
            $qty = 0;
            foreach ($order->getAllVisibleItems() as $item) {
                $qty += $item->getQtyOrdered();
            }

            $data = array(
                'dataId'                => Mage::helper('i4mdirector')->getDataId(),
                'PRODUCTO'              => '#' . $order->getIncrementId(),
                'IMPORTE'               => number_format($order->getGrandTotal(), 2),
                'CANTIDAD'              => $qty,
                'SEND-NOTIFICATIONS'    => 0
            );

            Mage::getSingleton('i4mdirector/api_sale')->notify($data);
        }
    }
}
