<?php
/**
 * @category    Interactiv4
 * @package     Interactiv4_MDirector
 * @copyright   Copyright (c) 2014 Interactiv4. (http://www.interactiv4.com)
 */
class Interactiv4_MDirector_Model_System_Config_Source_List
{
    protected $_options;

    public function toOptionArray()
    {
        if (is_null($this->_options)) {
            $this->_options = array(
                array('value' => '', 'label' => Mage::helper('adminhtml')->__('-- Please select --'))
            );

            $result = Mage::getSingleton('i4mdirector/api_list')->fetch();
            if (isset($result['lists']) && is_array($result['lists'])) {
                foreach ($result['lists'] as $list) {
                    $this->_options[] = array(
                        'value' => $list['id'],
                        'label' => $list['name'],
                    );
                }
            }
        }
        return $this->_options;
    }
}
